/*
 * DPv1.h
 *
 * Created: 3. 10. 2015 16:50:23
 *  Author: Lukas Patocka
 */ 


#ifndef DPV4_H_
#define DPV4_H_

#define		GET_DA_BITS		0x50
#define		GET_DA_FREQ		0x51
#define		GET_DA_DEVS		0x52
#define		GET_DA_MEMS		0x53
#define		SET_BF_LENGTH	0x60
#define		SET_DIVIDER		0x61
#define		SET_DCOFFSET	0x62

int main(void);
void initDevice(void);
void DACon(void);
void DACoff(void);
void LedBlinkGreen(void);
void LedBlinkRed(void);
void LedBlinkYellow(void);
void SetGenerator(void);
//uint16_t ByteToUint(uint8_t low, uint8_t high);
//uint16_t compare_data();


#endif /* DPV4_H_ */